---
- name: "delete : Disable chronyd service"
  ansible.builtin.systemd:
    name: chronyd
    state: stopped
    enabled: false
  become: true
  tags:
    - delete
    - services
    - chrony
- name: "create : Remove chrony service configuration in {{ ss_chrony_config_file }}"
  ansible.builtin.file:
    path: "{{ ss_chrony_config_file }}"
    state: absent
  become: true
  tags:
    - delete
    - services
    - chrony
- name: "delete : Uninstall chrony{% if (ss_chrony_release and ss_chrony_release != 'latest') %}-{{ ss_chrony_release }}{% endif %} package"
  ansible.builtin.package: 
    name: "chrony{% if (ss_chrony_release and ss_chrony_release != 'latest') %}-{{ ss_chrony_release }}{% endif %}"
    state: absent
  become: true
  when: chrony_bin_details.rc == 0
  tags:
    - delete
    - services
    - chrony
